# CSService | botserver

### Hierarchy

- CSService

## Index

### Methods

- insertQuestionAlternate
- resolveQuestionAlternate
- updateConversationRate

## Methods

### insertQuestionAlternate

- insertQuestionAlternate(instanceId: number, questionTyped: string, questionText: string): Promise< GuaribasQuestionAlternate >

- - Defined in deploy/customer-satisfaction.gbapp/services/CSService.ts:50

  #### Parameters

  - ##### instanceId: number

  - ##### questionTyped: string

  - ##### questionText: string

  #### Returns Promise< GuaribasQuestionAlternate >

### resolveQuestionAlternate

- resolveQuestionAlternate(instanceId: number, questionTyped: string): Promise< GuaribasQuestionAlternate >

- - Defined in deploy/customer-satisfaction.gbapp/services/CSService.ts:38

  #### Parameters

  - ##### instanceId: number

  - ##### questionTyped: string

  #### Returns Promise< GuaribasQuestionAlternate >

### updateConversationRate

- updateConversationRate(conversation: GuaribasConversation, rate: number): Promise< GuaribasConversation >

- - Defined in deploy/customer-satisfaction.gbapp/services/CSService.ts:60

  #### Parameters

  - ##### conversation: GuaribasConversation

  - ##### rate: number

  #### Returns Promise< GuaribasConversation >

Generated using TypeDoc